#!/usr/bin/perl
########################################################################
# File:           rootfiles/useradd.pl                                 #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.92                                                 #
# Author:         Michael Oberg <michael.oberg@mylinuxproject.de>      #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################

use mylinux::env;			# needed for $HOMEPATH
use mylinux::usermanager;

$TMPUID = &usermanager::getuidnumber;
$TMPGID = 100;				# initial group of user

print "Login Name: ";
$LOGINNAME = <STDIN>;
chomp $LOGINNAME;
if (!$LOGINNAME) {
  die ("You have to specify the account name!\n");
}

die ("First character of a username has to be a-z!\n")
  if ($LOGINNAME =~ /^[^a-z]/);

die ("Only characters a-z, 0-9, - are allowed!\n")
  if ($LOGINNAME =~ /[^a-z0-9-]/);

print "Temporary Password: ";
$TMPPW = <STDIN>;
chomp $TMPPW;
if (!$TMPPW) {
  die ("You have to specify a password!\n");
}

print "Users First Name: ";
$FIRSTNAME = <STDIN>;
chomp $FIRSTNAME;

print "Users Middle Name: ";
$MIDDLENAME = <STDIN>;
chomp $MIDDLENAME;

print "Users Surname: ";
$LASTNAME = <STDIN>;
chomp $LASTNAME;
if (!$LASTNAME) {
  die ("You have to specify the users name!\n");
}

print "Home Directory (defaults to $env::HOMEPATH/$LOGINNAME): ";
$HOMEDIR = <STDIN>;
chomp $HOMEDIR;

if (!(defined ($HOMEDIR) && $HOMEDIR)) {
  $HOMEDIR = "$env::HOMEPATH/$LOGINNAME";
}

die ("Only characters a-z, A-Z, 0-9, ., -, +, _ \nand the directory delimiter / are allowed!\n")
  if ($HOMEDIR =~ /[^a-zA-Z0-9\/._+-]/);

print "EMail Address without Domain (defaults to \L$FIRSTNAME.$LASTNAME\E): ";
$SHORTEMAIL = <STDIN>;
chomp $SHORTEMAIL;

if (!(defined ($SHORTEMAIL) && $SHORTEMAIL)) {
  $SHORTEMAIL = "\L$FIRSTNAME.$LASTNAME\E";
  $SHORTEMAIL =~ s/^\.//;
  $SHORTEMAIL =~ s/\.$//;
}

die ("Only characters a-z, A-Z, 0-9, ., -, +, _ are allowed!\n")
  if ($SHORTEMAIL =~ /[^a-zA-Z0-9._+-]/);

&usermanager::create ($FIRSTNAME, $MIDDLENAME, $LASTNAME, $LOGINNAME, $TMPUID, $TMPGID, $HOMEDIR, $SHORTEMAIL, $TMPPW);

# rebuild alias database is not needed with LDAP
# $TMPPW = `sendmail -bi`; # use this variable because of "used only once" warning

print "You may add further informations to the users address book entry\n"
      . "with the LDAP Explorer.\n";
