#!/bin/sh
########################################################################
# File:           setup/cyrus.sh                                       #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.92                                                 #
# Author:         Michael Oberg <michael.oberg@mylinuxproject.de>      #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################
source mylinux.conf

##############################################################
# change cyrus password                                      #
##############################################################
# Requires: ldap is completly set up and running
echo "$CYRUSPASSWD" | ../bin/cyruspasswd.pl
sleep 3
##############################################################
# change path to the mail database                           #
##############################################################
if [ ! -e /etc/cyrus.conf-template ]
then
  mv /etc/cyrus.conf /etc/cyrus.conf-template
fi
cat /etc/cyrus.conf-template | sed "s@/var/imap@$MAILDBPATH@" > /etc/cyrus.conf
if [ ! -e /etc/imapd.conf-template ]
then
  mv /etc/imapd.conf /etc/imapd.conf-template
fi
cat /etc/imapd.conf-template | sed "s@/var/imap@$MAILDBPATH@" > /etc/imapd.conf
if [ ! -d $MAILDBPATH/config/db ]
then
  mkdir -p -m 750 "$MAILDBPATH"
  chown $CYRUSUID.$CYRUSGID "$MAILDBPATH"
  cp -Rdp /var/imap/* "$MAILDBPATH"
fi
