#!/bin/sh
########################################################################
# File:           setup/samba.sh                                       #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.96                                                 #
# Author:         Michael Oberg <michael.oberg@mylinuxproject.de>      #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################
source mylinux.conf
TOPDOMAIN=`echo $DOMAIN | sed 's/.*\.\([^.]*\)$/\1/'`
SUBDOMAIN=`echo $DOMAIN | sed 's/\(.*\)\.[^.]*$/\1/'`
LDAPBASE="dc=$SUBDOMAIN,dc=$TOPDOMAIN"
##############################################################
# samba configuration                                        #
##############################################################
# The following commands can only be applied once to the LDAP database.
# If samba.sh has to be executed anew, then the Domain Administrator
# root and the group mapping for the group domainadmins have to be
# deleted manually before this.
cat << EOF2 | /usr/bin/smbpasswd -s -a root
$WINDOWSPASSWD
$WINDOWSPASSWD
EOF2
/usr/bin/net groupmap add ntgroup="Domain Admins" UNIXgroup=domainadmins
/usr/bin/net groupmap add ntgroup="Domain Users" UNIXgroup=domainusers
/usr/bin/net groupmap add ntgroup="Domain Guests" UNIXgroup=domainguests
