#!/bin/sh
########################################################################
# File:           setup/secnfs.sh                                      #
# myLinux Server: Copyright (c) 2004 Michael Oberg                     #
# Version:        0.98                                                 #
# Author:         Michael Oberg <michael.oberg@mylinuxproject.de>      #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################
source ./mylinux.conf
##############################################################
# configure Secure NFS server                                #
##############################################################
cat << EOF > /etc/exports
# See exports(5) for a description.
# This file contains a list of all directories exported to other
# computers.
# It is used by rpc.nfsd and rpc.mountd.
# Syntax is like:
# / 192.168.0.2(no_root_squash,rw) 192.168.0.1(rw)
# The following exports are made for Secure NFS:
/ 127.0.0.1(rw)
EOF
grep /mnt/ /etc/fstab | grep -v noauto \
  | sed 's@.*/mnt/\([^ \t]*\).*@/mnt/\1 127.0.0.1(rw)@' \
  >> /etc/exports
if [ $SECNFSSERVER = "yes" ]
then
  cat << EOF | chpasswd
snfs:$SECNFSPASSWD
EOF
else
  passwd -l snfs
fi
