#!/bin/sh
########################################################################
# File:           setup/ssl.sh                                         #
# myLinux Server: Copyright (c) 2003 Michael Oberg                     #
# Version:        0.92                                                 #
# Author:         Michael Oberg <michael.oberg@mylinuxproject.de>      #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################
source mylinux.conf
##############################################################
# create new SSL certificates                                #
##############################################################
CATOP=/etc/ssl/mylinux
YEAR=`date +%Y`

echo create LDAP/TLS certificate
mkdir /etc/openldap/certs
cat << EOF | openssl req -nodes -new -days 365 -keyout /etc/openldap/certs/key.pem -out /etc/openldap/certs/req.pem 2> /dev/null
$COUNTRY
$STATE
$CITY
$COMPANY
Directory Access $YEAR
$FQHOSTNAME
root@$DOMAIN


EOF
cat << EOF | openssl ca -policy policy_anything -out /etc/openldap/certs/cert.pem -infiles /etc/openldap/certs/req.pem 2> /dev/null
y
y
EOF
chmod 600 /etc/openldap/certs/*.pem

echo create IMAPS/POP3S certificate
cat << EOF | openssl req -nodes -new -days 365 -keyout /etc/imap/key.pem -out /etc/imap/req.pem 2> /dev/null
$COUNTRY
$STATE
$CITY
$COMPANY
Mail Access $YEAR
$FQHOSTNAME
root@$DOMAIN


EOF
cat << EOF | openssl ca -policy policy_anything -out /etc/imap/cert.pem -infiles /etc/imap/req.pem 2> /dev/null
y
y
EOF
chmod 400 /etc/imap/*.pem

#chown cyrus.mail /etc/imap/*.pem
chown $CYRUSUID.$CYRUSGID /etc/imap/*.pem
# remark: the LDAP server is probably down during setup, therefore the
# user/group resolution may not work

echo create SMTP/TLS certificate
cat << EOF | openssl req -nodes -new -days 365 -keyout /etc/mail/certs/host.key -out /etc/mail/certs/host.req 2> /dev/null
$COUNTRY
$STATE
$CITY
$COMPANY
Mail Transfer $YEAR
$FQHOSTNAME
root@$DOMAIN


EOF
cat << EOF | openssl ca -policy policy_anything -out /etc/mail/certs/host.cert -infiles /etc/mail/certs/host.req 2> /dev/null
y
y
EOF
chmod 400 /etc/mail/certs/host.*

echo create HTTPS certificate
cat << EOF | openssl req -nodes -new -days 365 -keyout /usr/local/httpd/conf/ssl.key/server.key -out /usr/local/httpd/conf/ssl.crt/server.req 2> /dev/null
$COUNTRY
$STATE
$CITY
$COMPANY
Web $YEAR
$FQHOSTNAME
root@$DOMAIN


EOF
cat << EOF | openssl ca -policy policy_anything -out /usr/local/httpd/conf/ssl.crt/server.crt -infiles /usr/local/httpd/conf/ssl.crt/server.req 2> /dev/null
y
y
EOF
chmod 400 /usr/local/httpd/conf/ssl.*/server.*
